Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 198098 - Review Request: xarchiver
Summary: Review Request: xarchiver
Keywords:
Status: CLOSED DUPLICATE of bug 217311
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: cq92j9y+rlkr0w
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-07-09 17:01 UTC by Damien Durand
Modified: 2008-08-02 23:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-11-20 04:33:42 UTC


Attachments (Terms of Use)

Description Damien Durand 2006-07-09 17:01:17 UTC
Spec URL: http://glive.tuxfamily.org/fedora/xarchiver/xarchiver.spec
SRPM URL: http://glive.tuxfamily.org/fedora/xarchiver/xarchiver-0.3.3-1.src.rpm
Description: Xarchiver is a GTK2 archiver, create, add, extract and delete files in the above formats, arj,7z,rar,zip,tar,bzip, gzip and RPM

Comment 1 cq92j9y+rlkr0w 2006-07-09 22:23:13 UTC
Hi Damien,

Some comments on your package:

- I think the description grammar could be improved. It says "Xarchiver is a
GTK2 archiver, create, add...", and also refers to "the above formats" (above
what? which formats?).
- You shouldn't own %{_datadir}/pixmaps as it is already owned by filesystem.
- You must own %{_datadir}/%{name}.
- rpmlint complains about the following:
  W: xarchiver mixed-use-of-spaces-and-tabs (check the Version tag)
  E: xarchiver zero-length /usr/share/doc/xarchiver-0.3.3/NEWS

Comment 2 cq92j9y+rlkr0w 2006-07-25 01:49:15 UTC
Damien:

I'll make a formal review of your package soon, but please try to correct the
issues I mentioned above.

Comment 3 Mamoru TASAKA 2006-10-02 11:19:44 UTC
Well, what is this review proceeding?

Changing the STATUS:
ASSIGNED -> NEEDINFO from reporter.

Comment 4 Mamoru TASAKA 2006-10-02 11:22:29 UTC
Sorry, I meant "is this review proceeding?"

Comment 5 cq92j9y+rlkr0w 2006-10-03 00:46:06 UTC
Hi,

Damien told me (on IRC) that he's waiting for a new upstream release (I don't
really remember the reason why).

If Damien still wants to maintain this package, I'll do a review once the issues
in comment #1 are addressed (It seems to me those are the only issues keeping
this package from being approved).

Comment 6 Kevin Fenzi 2006-10-03 01:34:10 UTC
We are working at getting Xfce 4.4rc1 in very soon... 
perhaps the version at: 
http://www.xfce.org/archive/xfce-4.3.99.1/src/xarchiver-0.4.0.tar.bz2

would be the upstream release being waited on? Or the perhaps the 4.4 final 
version?

Comment 7 Mamoru TASAKA 2006-10-27 06:31:23 UTC
Well, again is this review process proceeding?

More than 3 weeks has passed since the last comment was added.
I don't use Xfce by default, however my opinion is that
we should not wait for Xfce 4.4 final release.

Comment 8 Christoph Wickert 2006-11-12 20:24:59 UTC
I'd like to take over this package, since there has benn no feedback from Damien
for more then 4 months now and I really would like to see this package in Extras
soon. Could someone please review these files?

http://home.arcor.de/christoph.wickert/fedora/extras/review/SPECS/xarchiver.spec
http://home.arcor.de/christoph.wickert/fedora/extras/review/SRPMS/xarchiver-0.4.2-0.1.rc2.fc7.src.rpm

I have packaged xarchiver for a while now (I had not seen this review), but my
package looks quite different. I have split the package into xarchiver and
xarchiver-thunar-archive-plugin. The latter contains only one file
/usr/libexec/fedora-xarchiver.tap, a wrapper script for thunar-archive-plugin
(see bug #215241). I don't want xarchiver depend on Thunar.

Maybe it's easier to drop the sub-package, but then we'll have to include
fedora-xarchiver.tap in thunar-archive-plugin. Simply leaving it in the
xarchiver main package (without a dependency on the archive plugin) would lead
to an unowned /usr/libexec/thunar-archive-plugin/ if thunar(-archive-plugin) is
not installed. If the archive plugin is installed, this dir would be owned by
two packages. Bad Idea.

Opinions? Drop the sub-package and move the file over to thunar-archive-plugin? 

Comment 9 Kevin Fenzi 2006-11-13 02:46:04 UTC
I'd like to see this package in as well... 

According to http://fedoraproject.org/wiki/Extras/Policy/StalledReviews
we should add a comment that this review is considered stalled, and will be
closed in 1 week if there is no response. Consider this that comment. ;) 

Christoph: Can you wait a week and if no response submit your package in a new
review request (after closing this one)?


Comment 10 Christoph Wickert 2006-11-13 03:46:43 UTC
(In reply to comment #9)
> Christoph: Can you wait a week and if no response submit your package in a new
> review request (after closing this one)?

Sure, will do.



Comment 11 Patrice Dumas 2006-11-13 11:26:43 UTC
(In reply to comment #8)
http://home.arcor.de/christoph.wickert/fedora/extras/review/SPECS/xarchiver.spec
>
http://home.arcor.de/christoph.wickert/fedora/extras/review/SRPMS/xarchiver-0.4.2-0.1.rc2.fc7.src.rpm
> 
> Maybe it's easier to drop the sub-package, but then we'll have to include
> fedora-xarchiver.tap in thunar-archive-plugin. Simply leaving it in the
> xarchiver main package (without a dependency on the archive plugin) would lead
> to an unowned /usr/libexec/thunar-archive-plugin/ if thunar(-archive-plugin) is
> not installed. If the archive plugin is installed, this dir would be owned by
> two packages. Bad Idea.

I don't think it is a bad idea in that case. Indeed, thunar-archive-plugin
has a plugin-script system. This allows for some flexibility we should 
take advantage of. In my opinion it should be possible to have a random 
package (preferrably a graphical unarchiver package ;-) drop a
script in /usr/libexec/thunar-archive-plugin/ even if thunar-archive-plugin
isn't installed. To still have right directory owning, there are 2 
possibilities:

* have all plugin packages own /usr/libexec/thunar-archive-plugin/
* add a filesystem-like package which holds that directory and that packages
  depend on.

Both options may make sense depending on the case, here I think having 
multiple owners is the cleanest way.

> Opinions? Drop the sub-package and move the file over to thunar-archive-plugin? 

No, drop the sub-package and own /usr/libexec/thunar-archive-plugin/.

In any case I don't think that having a package only for the 
thunar-archive-plugin plugin script makes sense.

Comment 12 Mamoru TASAKA 2006-11-20 04:27:09 UTC
(In reply to comment #9)
> I'd like to see this package in as well... 
> 
> According to http://fedoraproject.org/wiki/Extras/Policy/StalledReviews
> we should add a comment that this review is considered stalled, and will be
> closed in 1 week if there is no response. Consider this that comment. ;) 
> 
> Christoph: Can you wait a week and if no response submit your package in a new
> review request (after closing this one)?
> 

Now one week passed......



Comment 13 Mamoru TASAKA 2006-11-20 04:38:08 UTC
Marking this as FE-DEADREVIEW.

If new review request of xarchiver is opened, please mark this as
DUPLICATE of the new bug.

Comment 14 Christoph Wickert 2006-11-26 22:49:28 UTC
Done. Removed blocker on thunar-archive-plugin.



*** This bug has been marked as a duplicate of 217311 ***


Note You need to log in before you can comment on or make changes to this bug.